> ## Documentation Index
> Fetch the complete documentation index at: https://similarweb-zp8zf.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Ecommerce Product Dataset (Shopper Intelligence)

> This dataset helps companies monitor consumer demand, analyze shopper behavior, and optimize search strategies to win in the Ecommerce world.



## OpenAPI

````yaml batch-api.json post /v3/batch/shopper/request-report
openapi: 3.1.0
info:
  title: NEW Batch API
  version: '4.0'
servers:
  - url: https://api.similarweb.com
security:
  - sec0: []
paths:
  /v3/batch/shopper/request-report:
    post:
      summary: Ecommerce Product Dataset (Shopper Intelligence)
      description: >-
        This dataset helps companies monitor consumer demand, analyze shopper
        behavior, and optimize search strategies to win in the Ecommerce world.
      operationId: ecommerce-dataset
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                domains:
                  type: array
                  default:
                    - amazon.ca
                  items:
                    type: string
                metrics:
                  type: array
                  default:
                    - category_sales_performance_product_views
                    - category_sales_performance_units_sold
                    - category_sales_performance_revenue_1P
                    - category_sales_performance_revenue_3P
                  items:
                    type: string
                countries:
                  type: array
                  default:
                    - WW
                  items:
                    type: string
                start_date:
                  type: string
                  default: 2023-07
                  format: date
                end_date:
                  type: string
                  default: 2023-07
                  format: date
                granularity:
                  type: string
                  default: monthly
                delivery_method:
                  type: string
                  default: download_link
                response_format:
                  type: string
                  default: csv
            examples:
              Category Level:
                value:
                  domains:
                    - amazon.com
                  category_ids:
                    - 2335752011
                  metrics:
                    - category_sales_performance_product_views
                    - category_sales_performance_units_sold
                    - category_sales_performance_revenue
                    - category_sales_performance_cvr
                  start_date: 2021-09
                  end_date: 2021-11
                  granularity: monthly
                  response_format: csv
              Brand Level:
                value:
                  domains:
                    - amazon.com
                  brands:
                    - 2335752011
                  metrics:
                    - brand_sales_performance_product_views
                    - brand_sales_performance_units_sold
                    - brand_sales_performance_revenue
                    - brand_sales_performance_cvr
                    - brand_sales_performance_revenue_1P
                    - brand_sales_performance_revenue_3P
                    - brand_sales_performance_units_sold_1P
                    - brand_sales_performance_units_sold_3P
                  start_date: 2021-09
                  end_date: 2021-11
                  granularity: monthly
                  response_format: csv
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Result:
                  value: '{}'
              schema:
                type: object
                properties: {}
        '400':
          description: '400'
          content:
            application/json:
              examples:
                Result:
                  value: '{}'
              schema:
                type: object
                properties: {}
      deprecated: false
components:
  securitySchemes:
    sec0:
      type: apiKey
      in: header
      name: api-key

````